Name:          cpuid
Version:       20220812
Release:       1mamba
Summary:       Linux tool to dump x86 CPUID information about the CPU(s)
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.etallen.com/cpuid.html
Source:        http://www.etallen.com/cpuid/cpuid-%{version}.src.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END

%description
cpuid dumps detailed information about the CPU(s) gathered from the CPUID instruction, and also determines the exact model of CPU(s).
It supports Intel, AMD, and VIA CPUs, as well as older Transmeta, Cyrix, UMC, NexGen, Rise, and SiS CPUs. 

%debug_package

%prep
%setup -q

%build
%make \
  CFLAGS="%{optflags}"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
  BUILDROOT=%{buildroot} \
  INSTALL_STRIP=""

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/cpuid
%{_bindir}/cpuinfo2cpuid
%{_mandir}/man1/cpuid.1*
%{_mandir}/man1/cpuinfo2cpuid.1*
%doc LICENSE

%changelog
* Sat Aug 13 2022 Automatic Build System <autodist@mambasoft.it> 20220812-1mamba
- automatic version update by autodist

* Wed Jun 29 2022 Automatic Build System <autodist@mambasoft.it> 20220620-1mamba
- automatic version update by autodist

* Sat Feb 26 2022 Automatic Build System <autodist@mambasoft.it> 20220224-1mamba
- automatic version update by autodist

* Sun Dec 12 2021 Automatic Build System <autodist@mambasoft.it> 20211210-1mamba
- automatic version update by autodist

* Tue Nov 30 2021 Automatic Build System <autodist@mambasoft.it> 20211129-1mamba
- automatic version update by autodist

* Tue Nov 23 2021 Automatic Build System <autodist@mambasoft.it> 20211121-1mamba
- automatic version update by autodist

* Wed Nov 17 2021 Automatic Build System <autodist@mambasoft.it> 20211114-1mamba
- automatic version update by autodist

* Fri Nov 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20211031-1mamba
- update to 20211031

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 20201006-1mamba
- automatic version update by autodist

* Wed Apr 22 2020 Automatic Build System <autodist@mambasoft.it> 20200211-1mamba
- automatic update by autodist

* Thu Oct 26 2017 Automatic Build System <autodist@mambasoft.it> 20170122-1mamba
- automatic update by autodist

* Thu Sep 01 2016 Automatic Build System <autodist@mambasoft.it> 20160814-1mamba
- automatic update by autodist

* Fri Feb 05 2016 Automatic Build System <autodist@mambasoft.it> 20151017-1mamba
- automatic update by autodist

* Wed Jul 01 2015 Automatic Build System <autodist@mambasoft.it> 20150606-1mamba
- automatic update by autodist

* Wed Feb 19 2014 Automatic Build System <autodist@mambasoft.it> 20140123-1mamba
- automatic update by autodist

* Thu Jun 13 2013 Automatic Build System <autodist@mambasoft.it> 20130610-1mamba
- automatic version update by autodist

* Thu Aug 09 2012 Automatic Build System <autodist@mambasoft.it> 20120601-1mamba
- automatic version update by autodist

* Wed Mar 07 2012 Automatic Build System <autodist@mambasoft.it> 20120225-1mamba
- automatic version update by autodist

* Sun Mar 06 2011 Automatic Build System <autodist@mambasoft.it> 20110305-1mamba
- automatic update by autodist

* Wed Nov 10 2010 Automatic Build System <autodist@mambasoft.it> 20101002-1mamba
- automatic update by autodist

* Fri Sep 10 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 20100902-1mamba
- package created by autospec
